=== debian/changelog ===
iwyu (8.15-2) unstable; urgency=medium

  * Do not fail the testsuite on some arch (only a test is failing)
    (Closes: #981061)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Feb 2021 09:15:49 +0100

iwyu (8.15-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Sylvestre Ledru ]
  * New upstream release 0.15
  * Move to clang-11 (Closes: #974814)
  * Add clang-{11,12} in the depends
  * Upstream updated their versioning on github. it was called
    clang_8.0, it is now 0.14; Called this version 8.14 as we cannot
    go back to 0.14. Update watch
  * Update watch file format version to 4.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 Nov 2020 15:39:04 +0100
