=== debian/control ===
Source: iwyu
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper-compat (= 12), cmake, clang-11, libclang-11-dev,
 llvm-11-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
Build-Conflicts: llvm-5.0-dev, llvm-6.0-dev
Standards-Version: 4.2.1
Homepage: https://include-what-you-use.org/
Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/iwyu

Package: iwyu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8 | clang-9 | clang-10 | clang-11 | clang-12,
 python3
Description: Analyze #includes in C and C++ source files
 "Include what you use" means this: for every symbol (type, function variable,
 or macro) that you use in foo.cc, either foo.cc or foo.h should #include a .h
 file that exports the declaration of that symbol. The include-what-you-use
 tool is a program that can be built with the clang libraries in order to
 analyze #includes of source files to find include-what-you-use violations,
 and suggest fixes for them.
 .
 The main goal of include-what-you-use is to remove superfluous #includes.
 It does this both by figuring out what #includes are not actually needed for
 this file (for both .cc and .h files), and replacing #includes with
 forward-declares when possible.
