=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake, clang-11, libclang-11-dev,
- llvm-11-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
+Build-Depends: debhelper-compat (= 12), cmake, clang-13, libclang-13-dev,
+ llvm-13-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
 Build-Conflicts: llvm-5.0-dev, llvm-6.0-dev
 Standards-Version: 4.2.1
 Homepage: https://include-what-you-use.org/
@@ -14,7 +14,7 @@
 Package: iwyu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8 | clang-9 | clang-10 | clang-11 | clang-12,
+ clang | clang-4.0 | clang-5.0 | clang-6.0 | clang-7 | clang-8 | clang-9 | clang-10 | clang-11 | clang-12 | clang-13,
  python3
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
