## iwyu 8.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,12 +38,39 @@
   ${CLANG_INCLUDE_DIRS}
   )
 
+# Synthesize a clang-resource-headers target for out-of-tree builds (in-tree
+# already has it available by default)
+if (NOT IWYU_IN_TREE)
+  # Use only major.minor.patch for the resource directory structure; some
+  # platforms include suffix in LLVM_VERSION.
+  set(llvm_ver ${LLVM_VERSION_MAJOR}.${LLVM_VERSION_MINOR}.${LLVM_VERSION_PATCH})
+  set(clang_headers_src "${LLVM_LIBRARY_DIR}/clang/${llvm_ver}/include")
+  set(clang_headers_dst "${CMAKE_BINARY_DIR}/lib/clang/${llvm_ver}/include")
+
+  file(GLOB_RECURSE in_files RELATIVE "${clang_headers_src}"
+    "${clang_headers_src}/*")
+
+  set(out_files)
+  foreach (file ${in_files})
+    set(src "${clang_headers_src}/${file}")
+    set(dst "${clang_headers_dst}/${file}")
+
+    add_custom_command(OUTPUT "${dst}"
+      DEPENDS "${src}"
+      COMMAND ${CMAKE_COMMAND} -E copy_if_different "${src}" "${dst}"
+      COMMENT "Copying clang's ${file}...")
+    list(APPEND out_files "${dst}")
+  endforeach()
+
+  add_custom_target(clang-resource-headers ALL DEPENDS ${out_files})
+endif()
+
 set(LLVM_LINK_COMPONENTS
   Option
   Support
-  X86AsmParser
-  X86Desc
-  X86Info
+  AllTargetsAsmParsers
+  AllTargetsDescs
+  AllTargetsInfos
   )
 
 add_llvm_executable(include-what-you-use
@@ -62,36 +89,14 @@
   iwyu_verrs.cc
   )
 
-# Synthesize a clang-resource-headers target for out-of-tree builds (in-tree
-# already has it available by default)
-if (NOT IWYU_IN_TREE)
-  # Use only major.minor.patch for the resource directory structure; some
-  # platforms include suffix in LLVM_VERSION.
-  set(llvm_ver ${LLVM_VERSION_MAJOR}.${LLVM_VERSION_MINOR}.${LLVM_VERSION_PATCH})
-  set(clang_headers_src "${LLVM_LIBRARY_DIR}/clang/${llvm_ver}/include")
-  set(clang_headers_dst "${CMAKE_BINARY_DIR}/lib/clang/${llvm_ver}/include")
-
-  file(GLOB_RECURSE in_files RELATIVE "${clang_headers_src}"
-    "${clang_headers_src}/*")
-
-  set(out_files)
-  foreach (file ${in_files})
-    set(src "${clang_headers_src}/${file}")
-    set(dst "${clang_headers_dst}/${file}")
-
-    add_custom_command(OUTPUT "${dst}"
-      DEPENDS "${src}"
-      COMMAND ${CMAKE_COMMAND} -E copy_if_different "${src}" "${dst}"
-      COMMENT "Copying clang's ${file}...")
-    list(APPEND out_files "${dst}")
-  endforeach()
-
-  add_custom_target(clang-resource-headers ALL DEPENDS ${out_files})
-endif()
-
 # Add a dependency on clang-resource-headers to ensure the builtin headers are
 # available when IWYU is executed from the build dir.
 add_dependencies(include-what-you-use clang-resource-headers)
+
+# LLVM requires C++14, so follow suit.
+set_property(TARGET include-what-you-use PROPERTY CXX_STANDARD_REQUIRED ON)
+set_property(TARGET include-what-you-use PROPERTY CXX_STANDARD 14)
+set_property(TARGET include-what-you-use PROPERTY CXX_EXTENSIONS OFF)
 
 if (MINGW)
   # Work around 'too many sections' error with MINGW/GCC
@@ -105,11 +110,11 @@
     -D_HAS_EXCEPTIONS=0
     )
 
-  # Enable bigobj support and sane C++ exception semantics.
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj /EHsc")
-endif()
-
-# If only clang-cpp is available, we take that.
+  # Enable bigobj support
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
+endif()
+
+# Link dynamically or statically depending on user preference.
 if (IWYU_LINK_CLANG_DYLIB)
   target_link_libraries(include-what-you-use PRIVATE clang-cpp)
 else()
@@ -172,9 +177,23 @@
 find_package(PythonInterp)
 if(PYTHONINTERP_FOUND)
   enable_testing()
-  add_test(NAME iwyu_tests
-    COMMAND ${PYTHON_EXECUTABLE} run_iwyu_tests.py -- $<TARGET_FILE:include-what-you-use>
-    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+
+  function(ADD_IWYU_TEST NAME FILE)
+    add_test(NAME ${NAME}
+      COMMAND ${PYTHON_EXECUTABLE} run_iwyu_tests.py --run-test-file=${FILE} -- $<TARGET_FILE:include-what-you-use>
+      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+  endfunction()
+
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} run_iwyu_tests.py --list-test-files
+    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+    OUTPUT_VARIABLE TEST_NAMES_AND_FILES)
+  string(REPLACE "\n" ";" TEST_NAMES_LIST ${TEST_NAMES_AND_FILES})
+  foreach (TEST_NAME_AND_FILE IN ITEMS ${TEST_NAMES_LIST})
+    string(REPLACE ":" ";" TEST_NAME_AND_FILE ${TEST_NAME_AND_FILE})
+    ADD_IWYU_TEST(${TEST_NAME_AND_FILE})
+  endforeach()
+
   add_test(NAME fix_includes_test
     COMMAND ${PYTHON_EXECUTABLE} fix_includes_test.py
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
