=== debian/changelog ===
iwyu (8.18-2) unstable; urgency=medium

  * Build using release.
    Thanks to Steven Trabert
    (Closes: #1016949)
  * Force the usage of clang-14 (Closes: #1014003, #1010495, #1003487)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Aug 2022 22:36:00 +0200

iwyu (8.18-1) unstable; urgency=medium

  * New upstream release
  * Update llvm/clang from 13 to 14
  * Bump debhelper from old 12 to 13.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Apr 2022 13:05:36 +0200
