=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-12/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-12/
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-14/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-14/
 
 
 override_dh_auto_build:
