=== debian/changelog ===
iwyu (8.21-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:26 +1100

iwyu (8.21-1build1) noble; urgency=medium

  * No-change rebuild against libllvm17t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:09:50 +0000

iwyu (8.21-1) unstable; urgency=low

    Remove patches GlobalSourceManager.patch, PrintableStmt.patch that are missing from debian/patches/series.
  * new upstream release
  * Remove old Build-Conflicts
  * upgrade to llvm/clang 17

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Jan 2024 20:21:18 +0100

iwyu (8.19-1) unstable; urgency=medium

  * New upstream release
  * Update llvm/clang from 14 to 15

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Nov 2022 22:58:13 +0100
