=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: iwyu
 Section: devel
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, clang-14, libclang-14-dev,
- llvm-14-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
-Build-Conflicts: llvm-5.0-dev, llvm-6.0-dev
+Build-Depends: debhelper-compat (= 13), cmake, clang-17, libclang-17-dev,
+ llvm-17-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
 Standards-Version: 4.2.1
 Homepage: https://include-what-you-use.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
@@ -14,7 +14,7 @@
 Package: iwyu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- clang, clang-14,
+ clang, clang-17,
  python3
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
