=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-14/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-14/
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-17/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-17/ -DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE
 
 
 override_dh_auto_build:
 	dh_auto_build
 	help2man --no-info --version-string "$(VERSION)" -n "Analyze #includes in C and C++ source files" $(TARGET_BUILD)/bin/include-what-you-use > $(TARGET_BUILD)/include-what-you-use.1
-	cd $(TARGET_BUILD) && ln -s include-what-you-use.1 iwyu.1 && \
+	cd $(TARGET_BUILD) && rm -f iwyu.1 && ln -s include-what-you-use.1 iwyu.1 && \
 	cp ../fix_includes.py fix_include
 	chrpath -d $(TARGET_BUILD)/bin/include-what-you-use
