=== debian/watch ===
version=4
opts=uversionmangle=s/^/8./ https://github.com/include-what-you-use/include-what-you-use/tags .*/0.(.*)\.tar\.gz
