## iwyu 8.22

=== debian/changelog ===
iwyu (8.22-1) unstable; urgency=medium

  * New upstream release
  * Update llvm/clang from 17 to 18
  * Remove empty debian/patches/series.
  * Fix build-depends-on-obsolete-package Build-Depends:
    libncurses5-dev => libncurses-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Apr 2024 21:54:22 +0200
