=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: iwyu
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, clang-17, libclang-17-dev,
- llvm-17-dev, help2man, libncurses5-dev, zlib1g-dev, chrpath
+Build-Depends: debhelper-compat (= 13), cmake, clang-18, libclang-18-dev,
+ llvm-18-dev, help2man, libncurses-dev, zlib1g-dev, chrpath
 Standards-Version: 4.2.1
 Homepage: https://include-what-you-use.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
@@ -14,7 +13,7 @@
 Package: iwyu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- clang, clang-17,
+ clang, clang-18,
  python3
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
