## iwyu 8.23

=== debian/changelog ===
iwyu (8.23-1) unstable; urgency=medium

  * New upstream release
  * Update of standard version to 4.7
  * Update llvm/clang from 18 to 19

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Nov 2024 13:53:02 +0100
