=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, clang-18, libclang-18-dev,
- llvm-18-dev, help2man, libncurses-dev, zlib1g-dev, chrpath
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), cmake, clang-19, libclang-19-dev,
+ llvm-19-dev, help2man, libncurses-dev, zlib1g-dev, chrpath
+Standards-Version: 4.7.0
 Homepage: https://include-what-you-use.org/
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/iwyu.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/iwyu
@@ -13,7 +13,7 @@
 Package: iwyu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- clang, clang-18,
+ clang, clang-19,
  python3
 Description: Analyze #includes in C and C++ source files
  "Include what you use" means this: for every symbol (type, function variable,
