=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-18/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-18/ -DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="$(ADDITIONAL_CXX_FLAGS)" -DLLVM_PATH=/usr/lib/llvm-19/ -DCMAKE_PREFIX_PATH=/usr/lib/llvm-19/ -DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE
 
 
 override_dh_auto_build:
